Account
Search Blacklist
Retrieves the paginated blacklist phone numbers of the account.
POST
/
v2
/
Account
/
Blacklist
/
Search
Search Blacklist
curl --request POST \
--url https://api.nlpearl.ai/v2/Account/Blacklist/Search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"skip": 123,
"limit": 123,
"sortProp": "<string>",
"isAscending": true,
"search": "<string>"
}
'import requests
url = "https://api.nlpearl.ai/v2/Account/Blacklist/Search"
payload = {
"skip": 123,
"limit": 123,
"sortProp": "<string>",
"isAscending": True,
"search": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
skip: 123,
limit: 123,
sortProp: '<string>',
isAscending: true,
search: '<string>'
})
};
fetch('https://api.nlpearl.ai/v2/Account/Blacklist/Search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"phoneNumber": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}Authorizations
Specify the authorization token.
For more information, check out the Authorization Guide.
Body
application/jsontext/jsonapplication/*+json
Number of entries to skip for pagination.
Limit on the number of entries to return.
Property name to sort by.
Whether the sort order is ascending.
A phone number or partial phone number.
Max 50 characters only.
⌘I
Search Blacklist

